<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use Microsoft\Graph\Graph;
use Microsoft\Graph\Model;
use Illuminate\Support\Facades\View;
use Illuminate\Support\Facades\DB;

class AddUpdateUserController extends Controller
{
    public function addUser(Request $request)
    {

        // Préparation email pro (prenom.nom@extension_domaine)
        $emailPro = $request->all()['prenom'] . '.' . $request->all()['nom'] . '@' . $request->all()['extension_domaine'];
        $accentRemoverEmailPro = \Transliterator::create('NFD; [:Nonspacing Mark:] Remove; NFC')->transliterate($emailPro);
        $emailPro = strtolower($accentRemoverEmailPro);

        // Préparation format numéro telPro
        $telPro = $request->all()['tel_pro'];
        $telPro = str_replace(' ', '', $telPro);
        $telPro = str_replace('.', '', $telPro);
        $telPro = str_replace('-', '', $telPro);
        if (preg_match('/^(\d{2})(\d{2})(\d{2})(\d{2})(\d{2})$/', $telPro,  $matches)) {
            $telPro = $matches[1] . '.' . $matches[2] . '.' . $matches[3] . '.' . $matches[4] . '.' . $matches[5];
        }

        // Préparation format numéro telPerso
        $telPerso = $request->all()['tel_perso'];
        $telPerso = str_replace(' ', '', $telPerso);
        $telPerso = str_replace('.', '', $telPerso);
        $telPerso = str_replace('-', '', $telPerso);
        if (preg_match('/^(\d{2})(\d{2})(\d{2})(\d{2})(\d{2})$/', $telPerso,  $matches)) {
            $telPerso = $matches[1] . '.' . $matches[2] . '.' . $matches[3] . '.' . $matches[4] . '.' . $matches[5];
        }

        DB::table('rh_employees')->insert([
            'EMPLOYEE_COMPTEACTIF' => $request->all()['compte_actif'],
            'EMPLOYEE_NOM' => strtoupper($request->all()['nom']),
            'EMPLOYEE_PRENOM' => ucwords($request->all()['prenom']),
            'EMPLOYEE_EMAILPRO' => $emailPro,
            'EMPLOYEE_EMAILPERSO' => strtolower($request->all()['email_perso']),
            'EMPLOYEE_TELPRO' => $telPro,
            'EMPLOYEE_TELPERSO' => $telPerso,
            'EMPLOYEE_ADRESSEPERSO' => $request->all()['adresse_perso'],
            'EMPLOYEE_ADRESSEPERSOCOMPLEMENT' => $request->all()['adresse_perso_complement'],
            'EMPLOYEE_CODEPOSTALPERSO' => $request->all()['codepostal_perso'],
            'EMPLOYEE_VILLEPERSO' => $request->all()['ville_perso'],
            'EMPLOYEE_STATUT' => $request->all()['statut'],
            'EMPLOYEE_FONCTION' => $request->all()['fonction'],
            'EMPLOYEE_ESTCOURTIER' => $request->all()['est_courtier'],
            'EMPLOYEE_SERVICE' => $request->all()['service'],
            'EMPLOYEE_FKAGENCEID' => $request->all()['fk_id_agence'],
            'EMPLOYEE_TYPECONTRAT' => $request->all()['type_contrat'],
            'EMPLOYEE_DATEARRIVEE' => $request->all()['date_entree'],
            'EMPLOYEE_DATEDEPART' => $request->all()['date_depart'],
            'EMPLOYEE_SIREN' => $request->all()['siren'],
        ]);

        // $accentRemoverPrenom = \Transliterator::create('NFD; [:Nonspacing Mark:] Remove; NFC')->transliterate($request->all()['prenom']);
        // $accentRemoverNom = \Transliterator::create('NFD; [:Nonspacing Mark:] Remove; NFC')->transliterate($request->all()['nom']);
        // $mailNickname = strtolower($accentRemoverPrenom . "." . $accentRemoverNom);
        // $givenName = ucwords($request->all()['prenom']);
        // $surname = strtoupper($request->all()['nom']);

        // $emailPro = strtolower($accentRemoverEmailPro);

        // $userPayload = array(
        //         "accountEnabled" => false,
        //         "displayName" => $surname . " " . $givenName,
        //         "mailNickname" => $mailNickname,
        //         "givenName" => $givenName,
        //         "surname" => $surname,
        //         "userPrincipalName" => $emailPro,
        //         "passwordProfile" => [
        //             "forceChangePasswordNextSignIn" => false,
        //             "password" => "IccFinance31!"
        //         ]
        // );

        // $viewData = $this->loadViewData();

        // $graph = new Graph();

        // $graph->setAccessToken(session('accessToken'));

        // $photo = $graph->createRequest('POST', '/users')
        //     ->attachBody($userPayload)
        //     ->execute();

        return back()->withInput();
    }

    public function updateUser(Request $request)
    {

        // Préparation email pro (mise en minuscule pour éviter les erreurs)
        $emailPro = $request->all()['email_pro'];
        $accentRemoverEmailPro = \Transliterator::create('NFD; [:Nonspacing Mark:] Remove; NFC')->transliterate($emailPro);
        $emailPro = strtolower($accentRemoverEmailPro);

        // Préparation format numéro telPro
        $telPro = $request->all()['tel_pro'];
        $telPro = str_replace(' ', '', $telPro);
        $telPro = str_replace('.', '', $telPro);
        $telPro = str_replace('-', '', $telPro);
        if (preg_match('/^(\d{2})(\d{2})(\d{2})(\d{2})(\d{2})$/', $telPro,  $matches)) {
            $telPro = $matches[1] . '.' . $matches[2] . '.' . $matches[3] . '.' . $matches[4] . '.' . $matches[5];
        }

        // Préparation format numéro telPerso
        $telPerso = $request->all()['tel_perso'];
        $telPerso = str_replace(' ', '', $telPerso);
        $telPerso = str_replace('.', '', $telPerso);
        $telPerso = str_replace('-', '', $telPerso);
        if (preg_match('/^(\d{2})(\d{2})(\d{2})(\d{2})(\d{2})$/', $telPerso,  $matches)) {
            $telPerso = $matches[1] . '.' . $matches[2] . '.' . $matches[3] . '.' . $matches[4] . '.' . $matches[5];
        }

        try {
            DB::table('rh_employees')
                ->where('EMPLOYEE_ID', '=', $request->all()['user_id'])
                ->update([
                    'EMPLOYEE_COMPTEACTIF' => $request->all()['compte_actif'],
                    'EMPLOYEE_NOM' => strtoupper($request->all()['nom']),
                    'EMPLOYEE_PRENOM' => ucwords($request->all()['prenom']),
                    'EMPLOYEE_EMAILPRO' => $emailPro,
                    'EMPLOYEE_EMAILPERSO' => strtolower($request->all()['email_perso']),
                    'EMPLOYEE_TELPRO' => $telPro,
                    'EMPLOYEE_TELPERSO' => $telPerso,
                    'EMPLOYEE_ADRESSEPERSO' => $request->all()['adresse_perso'],
                    'EMPLOYEE_ADRESSEPERSOCOMPLEMENT' => $request->all()['adresse_perso_complement'],
                    'EMPLOYEE_CODEPOSTALPERSO' => $request->all()['codepostal_perso'],
                    'EMPLOYEE_VILLEPERSO' => $request->all()['ville_perso'],
                    'EMPLOYEE_STATUT' => $request->all()['statut'],
                    'EMPLOYEE_FONCTION' => $request->all()['fonction'],
                    'EMPLOYEE_SERVICE' => $request->all()['service'],
                    'EMPLOYEE_ESTCOURTIER' => $request->all()['est_courtier'],
                    'EMPLOYEE_FKAGENCEID' => $request->all()['fk_id_agence'],
                    'EMPLOYEE_TYPECONTRAT' => $request->all()['type_contrat'],
                    'EMPLOYEE_DATEARRIVEE' => $request->all()['date_entree'],
                    'EMPLOYEE_DATEDEPART' => $request->all()['date_depart'],
                    'EMPLOYEE_SIREN' => $request->all()['siren'],
                ]);
        } catch (\Exception $e) {
            dd($e);
        }

        return back()->withInput();
    }

    public function orias(Request $request)
    {

        if ($request->all()['etat_orias'] == 'nouveau') {

            DB::table('rh_orias')->insert([
                'ORIAS_FKEMPLOYEEID' => $request->all()['user_id'],
                'ORIAS_DEMANDEINSCRIPTION' => $request->all()['datedemande_orias'],
                'ORIAS_VALIDATIONINSCRIPTION' => $request->all()['date_orias'],
                'ORIAS_ETAT' => 'En cours',
                'ORIAS_NUMERO' => $request->all()['numero_orias'],
                'ORIAS_MONTANT' => $request->all()['montant_orias'],
            ]);
        } else {

            $etat = 'En cours';

            if (
                $request->all()['datedemande_orias'] != null &&
                $request->all()['date_orias'] != null &&
                $request->all()['montant_orias'] != null &&
                $request->all()['numero_orias'] != null
            ) {
                $etat = 'OK';
            }

            DB::table('rh_orias')
                ->where('ORIAS_ID', '=', $request->all()['orias_id'])
                ->update([
                    'ORIAS_DEMANDEINSCRIPTION' => $request->all()['datedemande_orias'],
                    'ORIAS_VALIDATIONINSCRIPTION' => $request->all()['date_orias'],
                    'ORIAS_ETAT' => $etat,
                    'ORIAS_NUMERO' => $request->all()['numero_orias'],
                    'ORIAS_MONTANT' => $request->all()['montant_orias'],
                ]);
        }

        return back()->withInput();
    }

    public function ieam(Request $request)
    {

        if ($request->all()['etat_ieam'] == 'nouveau') {

            DB::table('rh_ieam')->insert([
                'IEAM_FKEMPLOYEEID' => $request->all()['user_id'],
                'IEAM_DEMANDEINSCRIPTION' => $request->all()['datedemande_ieam'],
                'IEAM_VALIDATIONINSCRIPTION' => $request->all()['date_ieam'],
                'IEAM_ETAT' => 'En cours',
            ]);
        } else {

            $etat = 'En cours';

            if (
                $request->all()['datedemande_ieam'] != null &&
                $request->all()['date_ieam'] != null &&
                $request->all()['numero_ieam'] != null
            ) {
                $etat = 'OK';
            }

            DB::table('rh_ieam')
                ->where('IEAM_ID', '=', $request->all()['ieam_id'])
                ->update([
                    'IEAM_DEMANDEINSCRIPTION' => $request->all()['datedemande_ieam'],
                    'IEAM_VALIDATIONINSCRIPTION' => $request->all()['date_ieam'],
                    'IEAM_NUMERO' => $request->all()['numero_ieam'],
                    'IEAM_ETAT' => $etat,
                ]);
        }

        return back()->withInput();
    }

    public function afib(Request $request)
    {

        if ($request->all()['etat_afib'] == 'nouveau') {

            DB::table('rh_afib')->insert([
                'AFIB_FKEMPLOYEEID' => $request->all()['user_id'],
                'AFIB_DEMANDEINSCRIPTION' => $request->all()['datedemande_afib'],
                'AFIB_VALIDATIONINSCRIPTION' => $request->all()['date_afib'],
                'AFIB_NUMERO' => $request->all()['numero_afib'],
                'AFIB_ETAT' => 'En cours',
            ]);
        } else {

            $etat = 'En cours';

            if (
                $request->all()['datedemande_afib'] != null &&
                $request->all()['date_afib'] != null &&
                $request->all()['numero_afib'] != null &&
                $request->all()['numero_afib'] != null
            ) {
                $etat = 'OK';
            }

            DB::table('rh_afib')
                ->where('AFIB_ID', '=', $request->all()['afib_id'])
                ->update([
                    'AFIB_DEMANDEINSCRIPTION' => $request->all()['datedemande_afib'],
                    'AFIB_VALIDATIONINSCRIPTION' => $request->all()['date_afib'],
                    'AFIB_NUMERO' => $request->all()['numero_afib'],
                    'AFIB_ETAT' => $etat,
                ]);
        }

        return back()->withInput();
    }
}
