<?php

namespace App\Http\Controllers\Agences;

use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\DB;

class AddAgenceController extends Controller
{
    public function addAgence(Request $request)
    {
        // Préparation format numéro telAgence
        $telAgence = $request->all()['agence_tel'];
        $telAgence = str_replace(' ', '', $telAgence);
        $telAgence = str_replace('.', '', $telAgence);
        $telAgence = str_replace('-', '', $telAgence);
        if (preg_match('/^(\d{2})(\d{2})(\d{2})(\d{2})(\d{2})$/', $telAgence,  $matches)) {
            $telAgence = $matches[1] . '.' . $matches[2] . '.' . $matches[3] . '.' . $matches[4] . '.' . $matches[5];
        }

        // Préparation format capital agence
        $capitalAgence = str_replace(',', '.', $request->all()['agence_capital']);
        $capitalAgence = str_replace(' ', '', $capitalAgence);

        $newAgence = DB::table('rh_agences')->insertGetId([
            'AGENCE_COMPTEACTIF' => $request->all()['agence_compteactif'],
            'AGENCE_TYPE' => $request->all()['agence_type'],
            'AGENCE_NOM' => $request->all()['agence_nom'],
            'AGENCE_ADRESSE' => $request->all()['agence_adresse'],
            'AGENCE_ADRESSECOMPLEMENT' => $request->all()['agence_adressecomplement'],
            'AGENCE_CODEPOSTAL' => $request->all()['agence_codepostal'],
            'AGENCE_VILLE' => $request->all()['agence_ville'],
            'AGENCE_RAISONSOCIALE' => $request->all()['agence_raisonsociale'],
            'AGENCE_STATUTJURIDIQUE' => $request->all()['agence_statutjuridique'],
            'AGENCE_CAPITAL' => $capitalAgence,
            'AGENCE_SITEWEB' => $request->all()['agence_siteweb'],
            'AGENCE_TEL' => $telAgence,
            'AGENCE_EMAIL' => $request->all()['agence_email'],
            'AGENCE_RCSVILLE' => $request->all()['agence_rcsville'],
            'AGENCE_RCSSIREN' => $request->all()['agence_rcssiren'],
            'AGENCE_ORIAS' => $request->all()['agence_orias'],
            'AGENCE_RCPRO' => $request->all()['agence_rcpro'],
            'AGENCE_RCPRONUMERO' => $request->all()['agence_rcpronumero'],
            'AGENCE_RIB' => $request->all()['agence_rib'],
            'AGENCE_IBAN' => $request->all()['agence_iban'],
            'AGENCE_MENTIONSLEGALES1' => $request->all()['agence_mentionslegales1'],
            'AGENCE_MENTIONSLEGALES2' => $request->all()['agence_mentionslegales2'],
            'AGENCE_MENTIONSLEGALES3' => $request->all()['agence_mentionslegales3'],
            'AGENCE_DATEENTREE' => $request->all()['agence_dateentree'],
            'AGENCE_DATEDERNIERRENOUVELLEMENT' => $request->all()['agence_datedernierrenouvellement'],
            'AGENCE_DATEECHEANCE' => $request->all()['agence_dateecheance'],
        ]);

        foreach ($request->all()['agence_directeurs'] as $directeurId) {
            DB::table('rh_directors')
                ->insert([
                    'DIRECTOR_FKAGENCEID' => $newAgence,
                    'DIRECTOR_FKEMPLOYEEID' => $directeurId
                ]);
        }

        return back()->withInput();
    }
}
