@php
$userId = $userInfoUpdate->EMPLOYEE_ID ?: '';
$actif = $userInfoUpdate->EMPLOYEE_COMPTEACTIF ?: '';
$prenom = $userInfoUpdate->EMPLOYEE_PRENOM ?: '';
$nom = $userInfoUpdate->EMPLOYEE_NOM ?: '';
$telPerso = $userInfoUpdate->EMPLOYEE_TELPERSO ?: '';
$telPro = $userInfoUpdate->EMPLOYEE_TELPRO ?: '';
$emailPerso = $userInfoUpdate->EMPLOYEE_EMAILPERSO ?: '';
$emailPro = $userInfoUpdate->EMPLOYEE_EMAILPRO ?: '';
$adressePerso = $userInfoUpdate->EMPLOYEE_ADRESSEPERSO ?: '';
$adressePersoComplement = $userInfoUpdate->EMPLOYEE_ADRESSEPERSOCOMPLEMENT ?: '';
$adressePersoCodePostal = $userInfoUpdate->EMPLOYEE_CODEPOSTALPERSO ?: '';
$adressePersoVille = $userInfoUpdate->EMPLOYEE_VILLEPERSO ?: '';
$statut = $userInfoUpdate->EMPLOYEE_STATUT ?: '';
$courtier = $userInfoUpdate->EMPLOYEE_ESTCOURTIER ?: '';
$fonction = $userInfoUpdate->EMPLOYEE_FONCTION ?: '';
$service = $userInfoUpdate->EMPLOYEE_SERVICE ?: '';
$arrivee = $userInfoUpdate->EMPLOYEE_DATEARRIVEE ?: '';
$depart = $userInfoUpdate->EMPLOYEE_DATEDEPART ?: '';
$typeContrat = $userInfoUpdate->EMPLOYEE_TYPECONTRAT ?: '';
$siren = $userInfoUpdate->EMPLOYEE_SIREN ?: '';
$agenceId = $userInfoUpdate->EMPLOYEE_FKAGENCEID ?: '';
$formLink = $userInfoUpdate->EMPLOYEE_ID != '' ? '/employees/actions/update' : '/employees/actions/create';
$button = $userInfoUpdate->EMPLOYEE_ID != '' ? 'Mettre à jour les informations' : 'Créer le nouveau profil';
@endphp

<form name="add_update_user_form" id="add_update_user_form" method="post" action="{{ url($formLink) }}">
    @csrf
    <div>
        <div class="mx-4">
            <h4 class="text-white text-capitalize text-base ps-4 pb-3">
                <div class="text-white me-2 d-flex align-items-center font-semibold">
                    <i class="material-icons opacity-10">person</i>
                    <span class="ms-1">Données personnelles</span>
                </div>
            </h4>
            <div class="mx-3">
                <div class="card card-body border card-plain border-radius-lg">
                    <div class="row mb-2">
                        <input hidden="hidden" id="user_id" name="user_id" value="{{ $userId }}" />
                        <div class="col-2">
                            <label for="compte_actif" class="form-label text-xs">Actif ? 🚩</label>
                            <select id="compte_actif" name="compte_actif" class="form-select px-3 bg-white"
                                aria-label="actif ?" required="required">
                                @php
                                    $selected0 = '';
                                    $selected1 = '';
                                    $selected2 = '';
                                @endphp
                                @if ($actif == 0)
                                    @php $selected0 = 'selected'; @endphp
                                @elseif ($actif == 1)
                                    @php $selected1 = 'selected'; @endphp
                                @elseif ($actif == 2)
                                    @php $selected2 = 'selected'; @endphp
                                @endif
                                <option value='0' {{ $selected0 }}>Inactif</option>
                                <option value='1' {{ $selected1 }}>Actif</option>
                                <option value='2' {{ $selected2 }}>Archivé</option>
                            </select>
                        </div>
                        @include('components.form-items', [
                            'colsize' => '5',
                            'bgcolor' => 'bg-white',
                            'type' => 'text',
                            'id' => 'prenom',
                            'label' => 'Prénom',
                            'value' => $prenom,
                            'required' => 'required',
                        ])
                        @include('components.form-items', [
                            'colsize' => '5',
                            'bgcolor' => 'bg-white',
                            'type' => 'text',
                            'id' => 'nom',
                            'label' => 'Nom',
                            'value' => $nom,
                            'required' => 'required',
                        ])
                    </div>
                    <div class="row mb-2">
                        @include('components.form-items', [
                            'colsize' => '3',
                            'bgcolor' => 'bg-white',
                            'type' => 'text',
                            'id' => 'tel_perso',
                            'label' => 'Tél. perso.',
                            'value' => $telPerso,
                            'required' => '',
                        ])
                        @include('components.form-items', [
                            'colsize' => '3',
                            'bgcolor' => 'bg-white',
                            'type' => 'text',
                            'id' => 'tel_pro',
                            'label' => 'Tél. pro.',
                            'value' => $telPro,
                            'required' => 'requiered',
                        ])
                        @include('components.form-items', [
                            'colsize' => '3',
                            'bgcolor' => 'bg-white',
                            'type' => 'text',
                            'id' => 'email_perso',
                            'label' => 'Email perso.',
                            'value' => $emailPerso,
                            'required' => '',
                        ])
                        @include('components.form-items', [
                            'colsize' => '3',
                            'bgcolor' => 'bg-white',
                            'type' => 'text',
                            'id' => 'email_pro',
                            'label' => 'Email pro.',
                            'value' => $emailPro,
                            'required' => 'requiered',
                        ])
                    </div>
                    <div class="row mb-2">
                        @include('components.form-items', [
                            'colsize' => '6',
                            'bgcolor' => 'bg-white',
                            'type' => 'text',
                            'id' => 'adresse_perso',
                            'label' => 'N°Rue / Voie',
                            'value' => $adressePerso,
                            'required' => '',
                        ])
                        @include('components.form-items', [
                            'colsize' => '6',
                            'bgcolor' => 'bg-white',
                            'type' => 'text',
                            'id' => 'adresse_perso_complement',
                            'label' => 'Bâtiment / Appartement / etc.',
                            'value' => $adressePersoComplement,
                            'required' => '',
                        ])
                    </div>
                    <div class="row mb-3">
                        @include('components.form-items', [
                            'colsize' => '6',
                            'bgcolor' => 'bg-white',
                            'type' => 'text',
                            'id' => 'codepostal_perso',
                            'label' => 'Code postal',
                            'value' => $adressePersoCodePostal,
                            'required' => '',
                        ])
                        @include('components.form-items', [
                            'colsize' => '6',
                            'bgcolor' => 'bg-white',
                            'type' => 'text',
                            'id' => 'ville_perso',
                            'label' => 'Ville',
                            'value' => $adressePersoVille,
                            'required' => '',
                        ])
                    </div>
                </div>
            </div>
        </div>
        <div class="mx-3">
            <h4 class="text-white text-capitalize text-base ps-4 pt-4 pb-3">
                <div class="text-white me-2 d-flex align-items-center font-semibold">
                    <i class="material-icons opacity-10">business_center</i>
                    <span class="ms-1">Données professionnelles</span>
                </div>
            </h4>
            <div class="mx-4">
                <div class="card card-body border card-plain border-radius-lg">
                    <div class="row mb-2">
                        @include('components.form-items', [
                            'colsize' => '4',
                            'bgcolor' => 'bg-white',
                            'type' => 'text',
                            'id' => 'statut',
                            'label' => 'Statut',
                            'value' => $statut,
                            'required' => 'required',
                        ])
                        <div class="col-4">
                            <label for="est_courtier" class="form-label text-xs">Est courtier ? 🚩</label>
                            <select id="est_courtier" name="est_courtier" class="form-select px-3 bg-white"
                                aria-label="actif ?" required="required">
                                @if ($courtier !== '')
                                    @if ($userInfoUpdate->EMPLOYEE_ESTCOURTIER)
                                        <option value='0'>Non</option>
                                        <option value='1' selected>Oui</option>
                                    @else
                                        <option value='0' selected>Non</option>
                                        <option value='1'>Oui</option>
                                    @endif
                                @else
                                    <option value='0'>Non</option>
                                    <option value='1'>Oui</option>
                                @endif
                            </select>
                        </div>
                        @include('components.form-items', [
                            'colsize' => '4',
                            'bgcolor' => 'bg-white',
                            'type' => 'text',
                            'id' => 'fonction',
                            'label' => 'Fonction',
                            'value' => $fonction,
                            'required' => 'required',
                        ])
                    </div>
                    <div class="row mb-2">
                        @include('components.form-items', [
                            'colsize' => '6',
                            'bgcolor' => 'bg-white',
                            'type' => 'text',
                            'id' => 'service',
                            'label' => 'Service',
                            'value' => $service,
                            'required' => 'required',
                        ])
                        <div class="col-6">
                            <label for="fk_id_agence" class="form-label text-xs">Agence 🚩</label>
                            <select id="fk_id_agence" name="fk_id_agence" class="form-select px-3 bg-white"
                                aria-label="actif ?" required="required">
                                @foreach ($agencesList as $agence)
                                    @if ($agenceId == $agence->AGENCE_ID)
                                        <option value='{{ $agence->AGENCE_ID }}' selected>{{ $agence->AGENCE_NOM }}
                                        </option>
                                    @else
                                        <option value='{{ $agence->AGENCE_ID }}'>{{ $agence->AGENCE_NOM }}</option>
                                    @endif
                                @endforeach
                            </select>
                        </div>
                    </div>
                    <div class="row mb-2">
                        @if ($arrivee !== '')
                            @php $dateEntree = str_replace(' ', 'T', $userInfoUpdate->EMPLOYEE_DATEARRIVEE); @endphp
                        @else
                            @php $dateEntree = ''; @endphp
                        @endif
                        @if ($depart !== '')
                            @php $dateDepart = str_replace(' ', 'T', $userInfoUpdate->EMPLOYEE_DATEDEPART); @endphp
                        @else
                            @php $dateDepart = ''; @endphp
                        @endif
                        @include('components.form-items', [
                            'colsize' => '3',
                            'bgcolor' => 'bg-white',
                            'type' => 'text',
                            'id' => 'type_contrat',
                            'label' => 'Type de contrat',
                            'value' => $typeContrat,
                            'required' => 'required',
                        ])
                        @include('components.form-items', [
                            'colsize' => '3',
                            'bgcolor' => 'bg-white',
                            'type' => 'datetime-local',
                            'id' => 'date_entree',
                            'label' => 'Date d\'entrée',
                            'value' => $dateEntree,
                            'required' => 'required',
                        ])
                        @include('components.form-items', [
                            'colsize' => '3',
                            'bgcolor' => 'bg-white',
                            'type' => 'datetime-local',
                            'id' => 'date_depart',
                            'label' => 'Date de départ',
                            'value' => $dateDepart,
                            'required' => '',
                        ])
                        @include('components.form-items', [
                            'colsize' => '3',
                            'bgcolor' => 'bg-white',
                            'type' => 'text',
                            'id' => 'siren',
                            'label' => 'Siren',
                            'value' => $siren,
                            'required' => '',
                        ])
                    </div>
                </div>
                <div class="mt-4 pt-1 d-grid gap-2 d-md-flex justify-content-md-center">
                    <button type="submit" class="btn bg-blue-200 icc-etiquette-info">{{ $button }}</button>
                </div>
            </div>
        </div>
    </div>
</form>
